name: Gitea Actions Demo
run-name: ${{ github.actor }} is testing the Host Runner 🚀
on: [push]

jobs:
  Hello-World-Check:
    # IMPORTANT: This must match the label you registered (e.g., linux_amd64)
    runs-on: ubuntu-de
    steps:
      - name: Display Welcome Message
        run: |
          echo "Hello World from Gitea Actions!"
          echo "This job is running directly on the host machine."

      - name: Check Environment
        run: |
          echo "Current User: $(whoami)"
          echo "Hostname: $(hostname)"
          echo "Uptime: $(uptime -p)"
          cd /root/docker
          ./backup-and-update.sh

      - name: List Directory
        run: ls -la
